%global pkgname django-memcached-pool
%global commit 64262f7feb5b501955ff542692571a1e60dce985
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-django-memcached-pool
Version:        0.4.1
Release:        1%{?dist}
Summary:        A Memcached Pool for Django

License:        BSD
URL:            https://pypi.python.org/pypi/%{pkgname}/%{version}
Source0:        https://github.com/mozilla/%{pkgname}/archive/%{commit}/%{pkgname}-%{version}-%{shortcommit}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-django
BuildRequires:  python-umemcache
BuildRequires:  python-nose

%description
An efficient fast Django Memcached backend with a
pool of connectors, based on ultramemcache.


%prep
%setup -q -n %{pkgname}-%{commit}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%check
export PYTHONPATH=%{buildroot}/%{python_sitearch}
touch /tmp/memcached 
chmod go+rw /tmp/memcached
memcached -d -P /tmp/memcached
sleep 1
python memcachepool/tests/test_cache.py
kill -9 $(cat /tmp/memcached)
rm -f /tmp/memcached

 
%files
%doc README.rst LICENCE CHANGES.rst
%{python_sitelib}/memcachepool
%{python_sitelib}/django_memcached_pool*.egg-info

%changelog
* Tue Jul 16 2013 Yohan Graterol <yohangraterol92@gmail.com> - 0.4.1-1
- Initial Packaging
